import React from "react";
import {observer} from "mobx-react";
import "./SucPanel.less";
import {Button} from "@grace/ui";
import {_asyncThrottle} from "@/utils/utils.ts";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl.tsx";

@observer
class SucPanel extends React.Component {

  componentDidMount() {
  }

  clickClose = () => {
    ModalCtrl.closeModal();
  };

  clickBtn = _asyncThrottle(async () => {

  });

  render() {
    return <div className="SucPanel">
      <div className="bg"/>
      <div className="rank">当前排名:NO.78</div>
      <div className="score">167<span>分</span></div>
      <div className="tip">恭喜获得抽奖机会<span>+1</span></div>
      <Button className="btn" onClick={this.clickBtn}/>
      <Button className="close" onClick={this.clickClose}/>
    </div>;
  }
}

export default SucPanel;
